// $Id$
/**
* Copyright (C) 2007 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.editor;

import eu.etaxonomy.taxeditor.editor.name.TaxonNameEditor;

/**
 * <p>Page class.</p>
 *
 * @author n.hoffmann
 * @created 30.04.2009
 * @version 1.0
 */
public enum Page {
	NAME ("Name", TaxonNameEditor.class, 0);
	
	private String title;
	private Class<?> clazz;
	private int index;
	
	Page(String title, Class<?> clazz, int index){
		this.title = title;
		this.clazz = clazz;
		this.index = index;
	}
	
	/**
	 * <p>Getter for the field <code>title</code>.</p>
	 *
	 * @return a {@link java.lang.String} object.
	 */
	public String getTitle(){
		return this.title;
	}
	
	/**
	 * <p>Getter for the field <code>clazz</code>.</p>
	 *
	 * @return a {@link java.lang.Class} object.
	 */
	public Class<?> getClazz(){
		return this.clazz;
	}
	
	/**
	 * <p>Getter for the field <code>index</code>.</p>
	 *
	 * @return a int.
	 */
	public int getIndex(){
		return this.index;
	}
}
