/**
 * 
 */
package eu.etaxonomy.taxeditor.editor.name.dnd;

import org.eclipse.swt.dnd.DND;
import org.eclipse.swt.dnd.DragSourceAdapter;
import org.eclipse.swt.dnd.DragSourceEvent;
import org.eclipse.ui.forms.ManagedForm;

import eu.etaxonomy.cdm.model.common.ICdmBase;
import eu.etaxonomy.taxeditor.editor.CdmDataTransfer;
import eu.etaxonomy.taxeditor.editor.name.container.AbstractGroupedContainer;

/**
 * <p>NameEditorDragListener class.</p>
 *
 * @author n.hoffmann
 * @version $Id: $
 */
public class NameEditorDragListener extends DragSourceAdapter {
	
	private AbstractGroupedContainer container;
		
	/**
	 * <p>Constructor for NameEditorDragListener.</p>
	 *
	 * @param container a {@link eu.etaxonomy.taxeditor.editor.name.container.AbstractGroupedContainer} object.
	 */
	public NameEditorDragListener(AbstractGroupedContainer container){
		this.container = container;
	}
	
	/** {@inheritDoc} */
	public void dragFinished(DragSourceEvent event) {
		if(!event.doit)
			return;
		if(event.detail == DND.DROP_MOVE){
			ManagedForm managedForm = container.getGroup().getEditor().getManagedForm();
			container.getGroup().remove(container);
			managedForm.reflow(true);
		}
		
	};
	
	/** {@inheritDoc} */
	@Override
	public void dragSetData(DragSourceEvent event) {
		ICdmBase[] cdmBaseObjects = new ICdmBase[]{(ICdmBase) container.getData()};
		if(CdmDataTransfer.getInstance().isSupportedType(event.dataType)){
			event.data = cdmBaseObjects;
		}
	}
	
	/** {@inheritDoc} */
	@Override
	public void dragStart(DragSourceEvent event) {
		event.doit = container.getData() != null;
	}
}
