// $Id$
/**
* Copyright (C) 2014 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.editor.view.dataimport;

import eu.etaxonomy.cdm.ext.occurrence.gbif.GbifResponse;

/**
 * @author pplitzner
 * @date 27.05.2014
 *
 */
public class GbifImportEditor extends DataImportEditor<GbifResponse>{

    public static final String ID = "eu.etaxonomy.taxeditor.editor.view.dataimport.GbifImportEditor";

    /**
     * Required for extension point
     */
    public GbifImportEditor() {
        super();
    }

    /* (non-Javadoc)
     * @see eu.etaxonomy.taxeditor.editor.view.dataimport.DataImportEditor#getTextForTableItem(java.lang.Object)
     */
    @Override
    protected String getTextForTableItem(GbifResponse item) {
        String text = "";
        if(item.getDataSetProtocol()!=null){
            text += "["+item.getDataSetProtocol()+"] ";
        }
        text += item.getDerivedUnitFacade().innerDerivedUnit().generateTitle();
        return text;
    }

}
